Bug 3522 - keymap_sv.h is outdated
Summary: keymap_sv.h is outdated
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: 3.0.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.0.0
Assignee: Peter Åstrand
URL:
Keywords: ossman_tester
Depends on:
Blocks: 3523
  Show dependency treegraph
 
Reported: 2010-05-06 17:04 CEST by Karl Mikaelsson
Modified: 2012-11-28 12:13 CET (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Karl Mikaelsson cendio 2010-05-06 17:04:37 CEST
I haven't understood all the small details, but xmodmap -pke on my Fedora 11 and the keymap_sv.h doesn't agree on the key codes.
Comment 1 Pierre Ossman cendio 2010-05-07 09:46:19 CEST
Turns out that this is caused by the switch to evdev. keymap_sv.h is based on the old Xfree86 DDX driver.

Given the principle of trying to mimic "normal" desktops, we should probably switch as well to avoid subtle application bugs.
Comment 2 Pierre Ossman cendio 2010-05-12 13:12:26 CEST
It's also worth to note that our current keymap seems to lack some symbols that really should have been present even back in the Xfree86 map, like KP_Home and such.
Comment 3 Peter Åstrand cendio 2012-06-28 15:12:29 CEST
http://berrange.com/tags/key-codes/ is cool.
Comment 4 Peter Åstrand cendio 2012-07-02 12:35:09 CEST
Fixed in r25409, but I'll keep this bug open until I have done some testing.
Comment 5 Peter Åstrand cendio 2012-08-02 16:38:27 CEST
Re-fixed in 25560; Mode_switch was left out. Also including multimedia keys now. 

Will test again with nightly build, though.
Comment 6 Peter Åstrand cendio 2012-08-06 13:35:23 CEST
Seems to work fine. Reporting time on bug 4331.
Comment 7 Peter Åstrand cendio 2012-08-08 10:58:55 CEST
Bug 3511 popped up again; we have no Super keys in the modifier map.
Comment 8 Peter Åstrand cendio 2012-08-08 11:00:04 CEST
(In reply to comment #7)
> Bug 3511 popped up again; we have no Super keys in the modifier map.

Should be fixed in 25574.
Comment 9 Pierre Ossman cendio 2012-10-03 10:29:39 CEST
(In reply to comment #7)
> Bug 3511 popped up again; we have no Super keys in the modifier map.

Still missing. Tested on RHEL 6.

Other than that the keymap looks fine. A whole bunch of new XF86 stuff in there.
Comment 10 Peter Åstrand cendio 2012-10-03 11:01:02 CEST
(In reply to comment #9)
> (In reply to comment #7)
> > Bug 3511 popped up again; we have no Super keys in the modifier map.
> 
> Still missing. Tested on RHEL 6.

Fixed in 25948.
Comment 11 Pierre Ossman cendio 2012-10-17 12:31:45 CEST
Looks fine now.

Note You need to log in before you can comment on or make changes to this bug.